# -*- coding: utf-8 -*-
"""
Created on Monday February 21 2022

@author: david
"""

import imageio
import matplotlib.pyplot as plt
import warnings
import matplotlib.cbook
from skimage import color
from scipy.optimize import curve_fit
import numpy as np
from scipy.signal import savgol_filter
import scipy.special
import scipy
import matplotlib as mpl
from matplotlib.pyplot import figure

plt.rcParams['figure.dpi'] = 230 #Note: this is helpuful for high dpi displays such as 4k display on Windows

data500C = np.loadtxt(r'./500C_cap_EELS.txt', skiprows = 3 , unpack = True)


#%% EELS profiles from the 500C cap

#Position	Position [µm]	Al	Cu	Zr	O	C	Ga	Ge	Si

plt.style.use('seaborn-ticks')
plt.rcParams['figure.autolayout'] = True
plt.rcParams['figure.constrained_layout.use'] = False
plt.rcParams['pdf.fonttype'] = 42
plt.rcParams.update({'font.size': 6})

figure(figsize=(1.65354, 1.65354), dpi = 600)

colors = ['blue', 'red' , 'black' ,'green']

x0 = 0 # center the z direction at the semiconductor/dielectric interface


plt.plot(data500C[0]-x0,data500C[1] , color = colors[0] , label = 'Si-k_500C cap')
plt.plot(data500C[0]-x0, data500C[2] , color = colors[1] , label = 'Ge-k_500C cap')
plt.plot(data500C[0]-x0,data500C[3] , color = colors[2] , label = 'Si-k_500C cap')
plt.plot(data500C[0]-x0, data500C[4] , color = colors[3] , label = 'Ge-k_500C cap')

plt.tick_params(labelbottom=True, bottom = True, direction = 'in', width =1, top = True, right =1)  
plt.ylabel('$concentration$ (%)')
plt.xlabel('$x$ (nm)')
plt.xlim(0-x0,15)
plt.ylim(0,100)
