# -*- coding: utf-8 -*-
"""
Created on Monday February 21 2022

@author: david
"""


import imageio
import matplotlib.pyplot as plt
import warnings
import matplotlib.cbook
from skimage import color
from scipy.optimize import curve_fit
import numpy as np
from scipy.signal import savgol_filter
import scipy.special
import scipy
import glob
import matplotlib as mpl

def sigma(Vxx,Isd,ratio): # in ohm/sq
    return abs((Isd)/((Vxx)/ratio))

#%% loading all the data

dataT = []

filepath = glob.glob(r'./*.txt')
dataT = []
for i in filepath:
    dataT.append(np.loadtxt(i, skiprows = 3 , unpack = True))
    

#%% Fig.1(a)



plt.style.use('seaborn-ticks')
plt.rcParams['figure.autolayout'] = False
plt.rcParams['figure.constrained_layout.use'] = True
plt.rcParams['pdf.fonttype'] = 42
plt.rcParams.update({'font.size': 6})
from matplotlib.pyplot import figure


figure(figsize = (3.34646/3,3.34646/2), dpi = 600)

plt.plot(dataT[0][0],dataT[0][1]*1e9, color = 'black')
plt.plot(dataT[1][0],dataT[1][1]*1e9, color = 'black')
plt.plot(dataT[2][0],dataT[2][1]*1e9, color = 'red')
plt.plot(dataT[3][0],dataT[3][1]*1e9, color = 'red')


plt.tick_params(labelbottom=True, bottom = True, direction = 'in', width =1, top = True, right =1, length=4)  
plt.ylabel('$I_{SD}$ (nA)')
plt.xlabel('$V_G$ (mV)')
plt.ylim(-2,59)
# plt.xlim()
plt.xlim(200,1050)
plt.xticks([300,600,900])
