# -*- coding: utf-8 -*-
"""
Created on Monday February 21 2022

@author: david
"""

import imageio
import matplotlib.pyplot as plt
import warnings
import matplotlib.cbook
from skimage import color
from scipy.optimize import curve_fit
import numpy as np
from scipy.signal import savgol_filter
import scipy.special
import scipy
import glob
import matplotlib as mpl


#%% loading all the data

dataT = []

filepath = glob.glob(r'./*.txt')
dataT = []
for i in filepath:
    dataT.append(np.loadtxt(i, skiprows = 1 , unpack = True))
    
#%% getting a cmap
import matplotlib.pyplot as plt
import matplotlib.colors as colors
import numpy as np

def truncate_colormap(cmap, minval=0.0, maxval=1.0, n=100):
    new_cmap = colors.LinearSegmentedColormap.from_list(
        'trunc({n},{a:.2f},{b:.2f})'.format(n=cmap.name, a=minval, b=maxval),
        cmap(np.linspace(minval, maxval, n)))
    return new_cmap

arr = np.linspace(0, 50, 100).reshape((10, 10))
fig, ax = plt.subplots(ncols=2)

cmap = plt.get_cmap('jet')
new_cmap = truncate_colormap(cmap, 0.1, 0.9)
ax[0].imshow(arr, interpolation='nearest', cmap=cmap)
ax[1].imshow(arr, interpolation='nearest', cmap=new_cmap)
plt.show()

colors = new_cmap(np.linspace(0.1,0.95,2))

colors = colors[::-1]

#%% Working Window in electric field

o5nm , o7nm, one_nm, W3 , myfab, W5, W7, W8 = [0,1,2,3,4,5,6,7]

TurnOn , Mob1, Mob2, n_p, WW, C = [0,1,2,3,4,5]
plt.style.use('seaborn-ticks')
plt.rcParams['figure.autolayout'] = False
plt.rcParams['figure.constrained_layout.use'] = True
plt.rcParams['pdf.fonttype'] = 42
plt.rcParams.update({'font.size': 6})
from matplotlib.pyplot import figure

figure(figsize = (3.34646/3,3.34646/2.2), dpi = 600)

plt.boxplot(dataT[1], positions=[0.6], widths = 2, patch_artist=True, boxprops=dict(facecolor=colors[0], linewidth=1), medianprops = dict(color='black', linewidth=1), whiskerprops = dict(color='black', linewidth=1 ), capprops = dict(color='black', linewidth=1) )        
plt.boxplot(dataT[0],positions=[3], widths = 2, patch_artist=True, boxprops=dict(facecolor=colors[1], linewidth=1), medianprops = dict(color='black', linewidth=1), whiskerprops = dict(color='black', linewidth=1 ), capprops = dict(color='black', linewidth=1)) 

eb1=plt.errorbar(0.6, np.mean(dataT[1]), yerr = np.std(dataT[1])/np.sqrt(len(dataT[1]))*2.576 , marker ='D', color = 'black', capsize = 3, elinewidth =1 , capthick=1,zorder=3, ls = '--', markersize = 4 ) 
eb1[-1][0].set_linestyle('--') #eb1[-1][0] is the LineCollection objects of the errorbar lines

eb1=plt.errorbar(3, np.mean(dataT[0]), yerr = np.std(dataT[0])/np.sqrt(len(dataT[0]))*2.576 , marker ='D', color = 'black', capsize = 3, elinewidth =1 , capthick=1,zorder=3, ls = '--' , markersize = 4 )   
eb1[-1][0].set_linestyle('--') 

plt.tick_params(labelbottom=False, bottom = False, direction = 'in', width =1, top = False, right =1, length=5)  
plt.ylabel('$n_{p}$ (10$^{11}$ cm$^{-2}$)')
plt.xlim(-1.5,5)

