# -*- coding: utf-8 -*-
"""
Created on Monday February 21 2022

@author: david
"""

import glob
import matplotlib.pyplot as plt
import numpy as np
import matplotlib as mpl
from scipy.optimize import curve_fit
from scipy.signal import savgol_filter, find_peaks
#Figures tricks

h = 6.62607004*1e-34
e = 1.60217662*1e-19
r0 = 1/(e**2/h)


#%% Loading the data   
    
data_dingle = np.loadtxt( r'./Dingle_plot_tau_q.txt', unpack = True)
data_fit = np.loadtxt( r'./Dingle_plot_fit_tau_q.txt', unpack = True)
    
#%% getting a cmap

import matplotlib.pyplot as plt
import matplotlib.colors as colors
import numpy as np

def truncate_colormap(cmap, minval=0.0, maxval=1.0, n=100):
    new_cmap = colors.LinearSegmentedColormap.from_list(
        'trunc({n},{a:.2f},{b:.2f})'.format(n=cmap.name, a=minval, b=maxval),
        cmap(np.linspace(minval, maxval, n)))
    return new_cmap

arr = np.linspace(0, 50, 100).reshape((10, 10))
fig, ax = plt.subplots(ncols=2)

cmap = plt.get_cmap('jet')
new_cmap = truncate_colormap(cmap, 0.1, 0.9)
ax[0].imshow(arr, interpolation='nearest', cmap=cmap)
ax[1].imshow(arr, interpolation='nearest', cmap=new_cmap)
plt.show()

colors_1nm = new_cmap(np.linspace(0.6,1.0,4))
colors_500C = new_cmap(np.linspace(0.0,0.4,5))

#%% Fig3.c

plt.style.use('seaborn-ticks')
plt.rcParams['figure.autolayout'] = False
plt.rcParams['figure.constrained_layout.use'] = True
plt.rcParams['pdf.fonttype'] = 42
plt.rcParams.update({'font.size': 6})

from matplotlib.pyplot import figure
fig, ax1 = plt.subplots(1,1, figsize = (3.34646/2,3.34646/2), dpi = 600)

ax1.scatter(data_dingle[0],data_dingle[1], marker = '.', s=80, facecolors='none', edgecolors='black')
ax1.plot(data_fit[0],data_fit[1], linestyle = 'solid', color = 'r', linewidth = 1)

ax1.tick_params(labelbottom=True, bottom = True, direction = 'in', width =1, top = True, right =1, length = 4) 
ax1.set_xlim(2.5,7.5)
ax1.set_ylim(-3,-0.5)
ax1.set_yticks([-1,-2])
ax1.set_xticks([4,6])
ax1.set_xlabel('$1/B_{field}$ [1/T]')
ax1.set_ylabel('$\ln(\Delta r_{xx}/r_0 \chi(T))$')


